libebook::FB2BlockFormatContextBase Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libebook::FB2BlockFormatContextBase Class Reference

`#include <FB2ParserContext.h>`

Inheritance diagram for libebook::FB2BlockFormatContextBase:

## Public Member Functions
| FB2BlockFormatContextBase (FB2ParserContext *parentContext, const FB2BlockFormat &format)
FB2BlockFormat & | getBlockFormat ()
const FB2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FB2NodeContextBase
| FB2NodeContextBase (FB2ParserContext *parentContext, FB2Collector *collector=0)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)=0
| Process an attribute. More...

## Private Attributes
FB2BlockFormat | m_format

## Constructor & Destructor Documentation

libebook::FB2BlockFormatContextBase::FB2BlockFormatContextBase | ( | FB2ParserContext * | parentContext,
|  | const FB2BlockFormat & | format
| ) |  |

## Member Function Documentation

FB2BlockFormat & libebook::FB2BlockFormatContextBase::getBlockFormat | ( |  | ) |

Referenced by libebook::FB2TableContext::element(), libebook::FB2CiteContext::element(), libebook::FB2EpigraphContext::element(), libebook::FB2TrContext::element(), libebook::FB2PoemContext::element(), libebook::FB2StanzaContext::element(), libebook::FB2TitleContext::element(), libebook::FB2StanzaContext::FB2StanzaContext(), libebook::FB2TitleContext::FB2TitleContext(), libebook::FB2TrContext::openRow(), and libebook::FB2TableContext::startOfElement().

const FB2BlockFormat & libebook::FB2BlockFormatContextBase::getBlockFormat | ( |  | ) | const

void libebook::FB2BlockFormatContextBase::setLang | ( | const char * | lang | ) |

Referenced by libebook::FB2CiteContext::attribute(), libebook::FB2PoemContext::attribute(), libebook::FB2StanzaContext::attribute(), and libebook::FB2TitleContext::attribute().

## Member Data Documentation

FB2BlockFormat libebook::FB2BlockFormatContextBase::m_format
| private

Referenced by getBlockFormat(), and setLang().

The documentation for this class was generated from the following files:

- FB2ParserContext.h
- FB2ParserContext.cpp